<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="clearBack()" style="cursor: pointer;"><i class="fa fa-chevron-left"></i> &nbsp; Back</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;Save</a>
                </li>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clearBack()">&times;</button>
            </ul>
        </p-header>
        <div class="text-left" style="margin-bottom: 15px;">
            <div class="row">
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtOrder">Tgl Request</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtOrder" name="input_dtOrder" [(ngModel)]="inDtStart"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                [showIcon]="true" ></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_seksie">Seksie / Unit</label>
                        <input type="text" class="form-control" name="seksie" id="field_seksie"
                            [(ngModel)]="inputSeksie" />
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_tlhDilak">Telah Dilaksanakan</label>
                        <input type="text" class="form-control" name="tlhDilaksanakan" id="field_tlhDilak"
                            [(ngModel)]="inputTlhDilak" />
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_menyetujui">Menyetujui</label>
                        <input type="text" class="form-control" name="menyetujui" id="field_menyetujui"
                            [(ngModel)]="inputMenyetujui" />
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_pemTgsOt">Pemberi Tugas Lembur</label>
                        <input type="text" class="form-control" name="pemTgsOt" id="field_pemTgsOt"
                            [(ngModel)]="inputPemTgsOt" />
                    </div>
                </div>
            </div>
        </div>
        <p-dataTable
            [value]="unitChecks" [editable]="true">
            <p-header>
                <div>
                    <div class="text-left">
                        <p-accordion class="detail-accordion" expandIcon="fa fa-search-plus" collapseIcon="fa fa-search-minus" [activeIndex]="index">
                            <p-accordionTab header="Detail" [selected]="true">
                            <div class="row">
                                <!-- <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_NIK">NIK</label>
                                        <input type="text" class="form-control" name="NIK" id="field_NIK"
                                            [(ngModel)]="nik" />
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_name">Nama Karyawan</label>
                                        <input type="text" class="form-control" name="name" id="field_name"
                                            [(ngModel)]="name"/>
                                    </div>
                                </div> -->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label mandatory" for="field_KdBarang">NIK</label>
                                        <p-autoComplete [(ngModel)]="newPersonal" [suggestions]="filteredPersonal"
                                        (completeMethod)="filterBarangSingle($event)" [size]="32" name="nik"
                                        [minLength]="1" [filter]="true" filterBy="label" field="nik" 
                                        placeholder="Please Select Or Insert" [dropdown]="true"
                                        (onSelect)="selectBarang(true)"></p-autoComplete>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label mandatory" for="field_barang">Nama Karyawan</label>
                                        <p-autoComplete [(ngModel)]="newPersonal" [suggestions]="filteredPersonal"
                                        (completeMethod)="filterBarangSingle($event)" [size]="32" name="nama_lengkap"
                                        [minLength]="1" field="nama_lengkap" placeholder="Please Select Or Insert" 
                                        [dropdown]="true" (onSelect)="selectBarang(true)"></p-autoComplete>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_jabatan">Jabatan</label>
                                        <input type="text" class="form-control" name="jabatan" id="field_jabatan"
                                            [(ngModel)]="jabatan" [disabled]="true"/>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label class="form-control-label"  for="field_insFroms">Rencana Lembur</label>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_planDtstart">Mulai</label>
                                        <div class="input-group">
                                            <p-calendar inputId="field_planDtstart" 
                                            name="planDtstart" [(ngModel)]="planDtstart"
                                            dateFormat="dd-MM-yy" [monthNavigator]="true"
                                            [yearNavigator]="true" yearRange="2000:2999"
                                            [showTime]="true"
                                            [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_planDtFinish">Selesai</label>
                                        <div class="input-group">
                                            <p-calendar inputId="field_planDtFinish" 
                                            name="planDtFinish" [(ngModel)]="planDtFinish"
                                            dateFormat="dd-MM-yy" [monthNavigator]="true"
                                            [yearNavigator]="true" yearRange="2000:2999"
                                            [showTime]="true"
                                            [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_planTotal">Jumlah</label>
                                        <input currencyMask class="form-control" name="planTotal" id="field_planTotal"
                                            [(ngModel)]="planTotal"
                                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                            />
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label class="form-control-label"  for="field_insFromsRealisasi">Realisasi Lembur</label>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_realDtstart">Mulai</label>
                                        <div class="input-group">
                                            <p-calendar inputId="field_realDtstart" 
                                            name="realDtstart" [(ngModel)]="realDtstart"
                                            dateFormat="dd-MM-yy" [monthNavigator]="true"
                                            [yearNavigator]="true" yearRange="2000:2999"
                                            [showTime]="true"
                                            [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_realDtFinish">Selesai</label>
                                        <div class="input-group">
                                            <p-calendar inputId="field_realDtFinish" 
                                            name="realDtFinish" [(ngModel)]="realDtFinish"
                                            dateFormat="dd-MM-yy" [monthNavigator]="true"
                                            [yearNavigator]="true" yearRange="2000:2999"
                                            [showTime]="true"
                                            [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_realTotal">Jumlah</label>
                                        <input currencyMask class="form-control" name="planTotal" id="field_realTotal"
                                            [(ngModel)]="realTotal"
                                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                            />
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label class="form-control-label"  for="field_insFromsRealisasi">Jam Lembur Bulan Ini</label>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_overTimeNow">Hari Ini</label>
                                        <input currencyMask class="form-control" name="overTimeNow" id="field_overTimeNow"
                                            [(ngModel)]="overTimeNow"
                                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                            />
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_overTimeSdNow">s/d Hari Ini</label>
                                        <input currencyMask class="form-control" name="overTimeSdNow" id="field_overTimeSdNow"
                                            [(ngModel)]="overTimeSdNow"
                                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                            />
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_overTimePersen">% - Lbr</label>
                                        <input currencyMask class="form-control" name="overTimePersen" id="field_overTimePersen"
                                            [(ngModel)]="overTimePersen"
                                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                            />
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_catatan">Keterangan</label>
                                        <input type="text" class="form-control" name="catatan" id="field_catatan"
                                            [(ngModel)]="catatan"/>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="btn-filter-wrapper">
                                        <button type="button" class="btn btn-primary" (click)="validateAdd()" [disabled]="addDataBtnDisable()">
                                            <span>ENTER</span>
                                        </button>
                                    </div>  
                                </div>
                            </p-accordionTab>
                        </p-accordion>
                    </div>
                </div>
            </p-header>
            <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="NIK">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nik}}
                </ng-template>
            </p-column>
            <p-column header="Nama Karyawan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.name}}
                </ng-template>
            </p-column>
            <p-column header="Jabatan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.jabatan}}
                </ng-template>
            </p-column>
            <p-column header="Rencana Mulai">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.planDtstart | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Rencana Selesai">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.planDtFinish | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Rencana Jumlah">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.planTotal}}
                </ng-template>
            </p-column>
            <p-column header="Realisasi mulai">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.realDtstart | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Realisasi Selesai">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.realDtFinish | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Realisasi Total">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.realTotal}}
                </ng-template>
            </p-column>
            <p-column header="Total Hari Ini">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.overTimeNow}}
                </ng-template>
            </p-column>
            <p-column header="Total s/d Hari INi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.overTimeSdNow}}
                </ng-template>
            </p-column>
            <p-column header="Total % - Lbr">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.overTimePersen}}
                </ng-template>
            </p-column>
            <p-column header="Keterangan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.catatan}}
                </ng-template>
            </p-column>
            <!-- <p-column header="Sisa PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.remainingPo}}
                </ng-template>
            </p-column> -->
            <p-column header="Aksi" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    <button pButton type="button"
                        icon="fa-trash-o"
                        class="flat-button"
                        pTooltip="Remove"
                        (click)="removeData(rowIndex)"
                        >
                    </button>
                </ng-template>
            </p-column>
        </p-dataTable>
        <!-- <jhi-purchase-order-item-in-purchase-order-as-list [idPurchaseOrder]="idPurchaseOrder"></jhi-purchase-order-item-in-purchase-order-as-list> -->
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>